<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00 
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* pag_start.inc.php: last changed 01/08/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
if (IsSet ($_GET['setstartpage']))
{
	$setstartpage = intval($_GET['setstartpage']);
}
if (IsSet ($_GET['category']))
{
	$category = rawurldecode($_GET['category']);
}
else
{
	$category = "";
}
if (IsSet ($_GET['savepage']))
{
	$savepage = intval($_GET['savepage']);
}
if (IsSet ($_GET['deletepage']))
{
	$deletepage = intval($_GET['deletepage']);
}
if (IsSet ($_GET['setstartsection']))
{
	$setstartsection = intval($_GET['setstartsection']);
}
if (IsSet ($_GET['deletesection']))
{
	$deletesection = intval($_GET['deletesection']);
}
if (IsSet ($_POST['invisible']))
{
	$invisible = sanitize($_POST['invisible'], 3 , 'A');
}
if (IsSet ($_POST['hidden']))
{
	$hidden = sanitize($_POST['hidden'], 3 , 'A');
}
if (IsSet ($_POST['module']))
{
	$module = sanitize($_POST['module'], 150 , 'S'); //sanitize, 80 chars max
}
if (IsSet ($_POST['newsection']))
{
	$newsection = intval($_POST['newsection']);
}
else
{
	$newsection = "";
}
$sort = 0;
if (IsSet ($_POST['sort']))
{
	$sort = intval($_POST['sort']);
}
if (IsSet ($_GET['savesection']))
{
	$savesection = intval($_GET['savesection']);
}
if (IsSet ($_POST['category']))
{
	$category = sanitize($_POST['category'], 80 , 'S'); //sanitize, 80 chars max
}

$table_stats = $dbprefix . "stats";

if (IsSet ($_POST['title']))
{
	$title = sanitize($_POST['title'], 80 , 'S'); //sanitize, 80 chars max
}
if (IsSet ($_POST['content']))
{
	$content = $_POST['content'];
	
	if ($sas_config['allow_javascript'] == 1)
	{
		$content = sanitize($content, 0, 'U');	//allow all html tags , use with care! 
	}
	else
	{
		$content = sanitize($content, 0, 'H');	//allow html tags but filter eg. javascript
	}
}

if (IsSet ($savesection))
{
	if ($savesection == 0)
	{
		mysqli_query($db,"INSERT INTO $table_sections (id, name, sort, invisible) VALUES (NULL, '$title', '$sort', '$invisible')");
	}
	else
	{
		mysqli_query($db,"UPDATE $table_sections SET name = '$title' WHERE id = '$savesection'");
		mysqli_query($db,"UPDATE $table_sections SET sort = '$sort' WHERE id = '$savesection'");
		mysqli_query($db,"UPDATE $table_sections SET invisible = '$invisible' WHERE id = '$savesection'");
	}
}

if (IsSet ($setstartpage))
{
	mysqli_query($db,"UPDATE $table_sections SET frontpage = '$setstartpage' WHERE id = '$section'");
}

mysqli_query($db,"UPDATE $table_pages SET locked_by = NULL WHERE locked_by = $_SESSION[userid]");
//clear locked_by  which might be in use by the user

if (IsSet ($savepage) && ($title != ""))
{
	$history = "Uid: " . $userid . " - " . date("H:i:s"); //saved in the history field of the pages table
	if ($hidden == "yes")
	{
		$invisible = "yes"; //make invisible yes too.
	}

	if ($savepage == "new")
	{
		mysqli_query($db,"INSERT INTO $table_pages (id, section, name, invisible, content, module, sort, count, createdate, lastvisitdate, category, lastupdate, history, hidden) 
		    VALUES (NULL, '$section', '$title', '$invisible', '$content', '$module', '$sort', '0', '$d', '0000-00-00', '$category', '$d','$history', '$hidden')") 
		    or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		
		if ($sort == "1")
		{
			$result = mysqli_query($db,"SELECT id FROM $table_pages WHERE name = '$title' AND section = '$section'");
			$pageid = mysqli_result($result, 0);
			mysqli_query($db,"UPDATE $table_sections SET frontpage = '$pageid' WHERE id = '$section'");
		}
	}
	else
	{
		if (IsSet ($_POST['save_as_template'])) //save the currentpage as a template
		{
			if ($_POST['template_title'] != "")
			{
				$title = remove_special_characters($_POST['template_title']) ;
			}
			else
			{
				$title = remove_special_characters($title) ;
			}
			$filename = $sas_config['media_dir']."/templates/" . $title . ".html" ;
			$handle = fopen($filename, "w");
			$content = stripslashes($content) ;
			fwrite($handle, $content);
			fclose($handle);
		}
		else
		{
			$result = mysqli_query($db,"SELECT DATE_FORMAT(lastupdate,'%Y-%m-%d') FROM $table_pages WHERE id = '$savepage' ");
			$change_date = mysqli_result($result, 0, 0);
			$d = date("Y-m-d"); //todays date 
			if ($change_date < $d)
			{ //send alerts only the first time on a date 
				include ("core/send_alerts.php"); //check to see if need to send alerts
			}
	
			if ($newsection == "")
			{
				$newsection = $section;
			} //if $newsection is empty we use the normal section
			$d = date("Y-m-d H:i:s"); //todays date time
			
			//replace emails with javascript to show off spam robots
			include("core/email_cloak.php");

			mysqli_query($db,"UPDATE $table_pages SET name = '$title',
												sort = '$sort' ,
												content = '$content',
												module = '$module',
												invisible = '$invisible',
												hidden = '$hidden',
												category = '$category',
												history = '$history',
												lastupdate = '$d',
												section = '$newsection' 
												WHERE id = '$savepage'");
		}
		
		
		if (IsSet ($_POST['return_to_editor'])) //when return to editor is checked jump back to editor
		{
			print "<script language='javascript'>
					window.location = 'index.php?option=pagemanager&suboption=editpage&page=$savepage&section=$section&site=$site'
					</script>";
		}
	}
}

if (IsSet ($setstartsection))
{
	if ($site == "protected")
	{ // getting the startsection protected site
		mysqli_query($db,"UPDATE $table_configuration SET config_value='$setstartsection' WHERE config_key='protected_startsection'");
		$query = "SELECT config_value FROM $table_configuration where config_key='protected_startsection'";
	}
	else
	{ // getting the startsection normal site
		mysqli_query($db,"UPDATE $table_configuration SET config_value='$setstartsection' WHERE config_key='startsection'");
		$query = "SELECT config_value FROM $table_configuration where config_key='startsection'";
	}
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	$startsection = mysqli_result($result, 0);
	unset ($query);
	unset ($result);
}

if (IsSet ($deletesection))
{
	mysqli_query($db,"DELETE FROM $table_pages WHERE section = '$deletesection'"); //delete section and assiociated pages
	mysqli_query($db,"DELETE FROM $table_sections WHERE id = '$deletesection'");
	if ($site == "protected")
	{
		mysqli_query($db,"DELETE FROM $table_stats WHERE sectionid = '$deletesection' AND public = 1"); //delete section from stats also
	}
	else
	{
		mysqli_query($db,"DELETE FROM $table_stats WHERE sectionid = '$deletesection' AND public = 0"); //delete section from stats also
	}
}

if (IsSet ($deletepage))
{
	$query = "SELECT id FROM $table_sections WHERE frontpage = '$deletepage'" ;
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	$RecordCount = mysqli_num_rows($result);
	if ($RecordCount > 0)
	{
		mysqli_query($db,"UPDATE $table_sections SET frontpage = 0 WHERE frontpage = '$deletepage'"); //reset the frontpage to blank
	}
	mysqli_query($db,"DELETE FROM $table_pages WHERE id = '$deletepage'"); //delete the page
	mysqli_query($db,"DELETE FROM $table_stats WHERE pageid = '$deletepage'"); //delete page from stats also
}

print "<span class=\"sas_module_title\">" . $sas_lang['pagemanager'] . "<br></span>";
print $sas_lang['pagemanager_introduction'] . "<br><br>";

print "<img border=\"0\" src=\"graphics/site.gif\" width=\"16\" height=\"16\">&nbsp;";
print "<a href=index.php?option=pagemanager&site=$site>$sitename</a>";
if ($site == "protected")
{
	print " (" . $sas_lang['protected_area'] . ")";
}
print "<table border=\"0\" cellspacing=\"1\">";
print "<tr>
		<td height=\"18\" colspan=\"10\"><br></td>
		</tr>";

$query = "SELECT id, name, frontpage, invisible, sort FROM $table_sections WHERE parent = '' ORDER BY sort"; // getting sectionlist
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$RecordCount = mysqli_num_rows($result);

if ($RecordCount > 0)
{
	while ($section_list = mysqli_fetch_array($result))
	{
		if ((in_array($section_list[0], $user_sections)) OR ($user_sections[0] == "")) //is user allowed to edit this section?
		{
			print "<tr><td height=\"18\" width=\"20\"></td>";

			if ($section_list[0] == $startsection)
			{
				print "<td><img border=\"0\" src=\"graphics/startsection.gif\" title=\"" . $sas_lang['startsection'] . "\" alt=\"" . $sas_lang['startsection'] . "\" title=\"" . $sas_lang['startsection'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" ></td>";
			}
			else
			{
				print "<td><img border=\"0\" src=\"graphics/not_startsection.gif\" title=\"" . $sas_lang['startsection'] . "\" 
						alt=\"" . $sas_lang['startsection'] . "\" title=\"" . $sas_lang['startsection'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  onMouseOver=\"this.src='graphics/startsection.gif'\" onMouseOut=\"this.src='graphics/not_startsection.gif'\" 
						onClick=\"if(confirm('" . $sas_lang['startsection_confirmation'] . "')) parent.location='index.php?option=pagemanager&setstartsection=$section_list[0]&site=$site';\"></td>";
			}
			print "<td height=\"18\">";

			print "<img border=\"0\" src=\"graphics/delete.gif\" title=\"" . $sas_lang['delete'] . "\" alt=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
					onClick=\"if(confirm('" . $sas_lang['delete_confirmation'] . "')) parent.location='index.php?option=pagemanager&deletesection=$section_list[0]&site=$site';\">";
			print "</td><td height=\"18\">";
			print "<img border=\"0\" src=\"graphics/document.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
					onClick=\"parent.location='index.php?option=pagemanager&suboption=editsection&section=$section_list[0]&site=$site';\">";

			print "</td>
					   <td height=\"18\" align=\"right\">";
			if ($section_list[0] == $section)
			{
				print "<img border=\"0\" src=\"graphics/folder_open.gif\" width=\"16\" height=\"16\">";
			}
			else
			{
				print "<img border=\"0\" src=\"graphics/folder_closed.gif\" width=\"16\" height=\"16\">";
			}
			print "</td>
					  <td colspan=\"2\" height=\"18\">
					  <a href=index.php?option=pagemanager&section=$section_list[0]&site=$site>";
			if ($section_list[3] == "yes")
			{
				print " $section_list[1]</a> <span class=\"small_blue \">($section_list[4])</span> (" . $sas_lang['invisible'] . ")";
			}
			else
			{
				print "$section_list[1]</a> <span class=\"small_blue \">($section_list[4])</span>";
			}
			print "</td><td colspan=\"3\" height=\"18\"></td></tr>";

			if ($section_list[0] == $section)
			{
				//do we have a frontpage defined?
				if($section_list[2] == 0)
				{
					print "<tr><td colspan=\"5\">&nbsp;</td><td colspan=\"7\"><span class=\"error\"><font size=\"1\">".$sas_lang['section_no_pages']."</font></span></td></tr>" ;
				}
				$query1 = "SELECT id, category FROM $table_pages WHERE section = '$section' GROUP BY category ORDER BY cat_sort"; // getting catlist
				$result2 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 

				while ($cat_list = mysqli_fetch_array($result2)) //loop through categories
				{

					$category1 = htmlspecialchars(rawurlencode($cat_list[1]));
					if (!empty ($cat_list[1])) //only display when categrory has no blanks
					{
						print "<tr>
							  <td colspan=\"5\" height=\"18\"></td>
							  <td height=\"18\">&nbsp</td>
							  <td>
							  <a href=index.php?option=pagemanager&suboption=sort_cat&page=$page_list[0]&section=$section_list[0]&site=$site>
								<img border=\"0\" src=\"graphics/edit.gif\" width=\"16\" height=\"16\" class=\"tooltip\"  title=\"Sorteer categorien\" alt=\"Sorteer categorien\"></a>
							  <a href=\"index.php?option=pagemanager&category=$category1&section=$section&site=$site\">$cat_list[1]</td>
							  <td colspan=\"4\"></td></tr>";
					}
					if (addslashes($cat_list[1]) == $category)
					{
						$query1 = "SELECT id, name, module, invisible, sort, hidden FROM $table_pages WHERE category = '$category' and section = '$section' ORDER BY sort"; // getting pagelist
						$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
						while ($page_list = mysqli_fetch_array($result1)) //loop through pages
						{
							print "<tr>
									  <td  colspan=\"7\" height=\"18\">&nbsp;</td>
									  <td height=\"18\"><font color=\"#466C9B\">";
							if ($page_list[0] == $section_list[2])
							{
								print "<img border=\"0\" src=\"graphics/startsection.gif\" title=\"" . $sas_lang['startpage'] . "\" alt=\"" . $sas_lang['startpage'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" >";

							}
							else
							{
								print "<img border=\"0\" src=\"graphics/not_startsection.gif\" title=\"" . $sas_lang['startpage'] . "\" alt=\"" . $sas_lang['startpage'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  onMouseOver=\"this.src='graphics/startsection.gif'\"  onMouseOut=\"this.src='graphics/not_startsection.gif'\" onClick=\"parent.location='index.php?option=pagemanager&section=$section&setstartpage=$page_list[0]&site=$site';\">";
							}
							print "</td><td height=\"18\">";
							print "<img border=\"0\" src=\"graphics/delete.gif\" width=\"16\" class=\"tooltip\" title=\"" . $sas_lang['delete'] . "\" 
									alt=\"" . $sas_lang['delete'] . "\" height=\"16\" onClick=\"if(confirm('" . $sas_lang['page_delete_confirm'] . "')) parent.location='index.php?option=pagemanager&section=$section&category=$category&deletepage=$page_list[0]&site=$site';\">";
							print "</td><td height=\"18\">";
							
							if ($page_list[5] == "yes")	//hidden flag
							{
								$status = " (" . $sas_lang['hidden'] . ")";
							}
							elseif ($page_list[3] == "yes") //invisible flag
							{
								$status = " (" . $sas_lang['invisible'] . ")";
							}
							else
							{
								$status = "";
							}
							
							if ($page_list[2] == "") // print normal or module icon
							{
								print "<a href=index.php?option=pagemanager&suboption=editpage&page=$page_list[0]&section=$section_list[0]&site=$site>
											   <img border=\"0\" src=\"graphics/edit.gif\" width=\"16\" height=\"16\" class=\"tooltip\"  title=\"" . $sas_lang['change_template_page'] . "\" alt=\"" . $sas_lang['change_template_page'] . "\"></a>";

								// by JG Preview-Button
								if ($site == "protected")
								{
									print "<td height=\"18\"><a href=\"../index.php?page=$page_list[0]&section=$section&site=protected\" target=\"_blank\">
											<img src=\"graphics/view.gif\" border=\"0\" title=\"" . $sas_lang['student_view'] . "\" alt=\"" . $sas_lang['student_view'] . "\"></a>";
								}
								else
								{
									unset ($_SESSION['site']);
									print "<td height=\"18\"><a href=\"../index.php?page=$page_list[0]&section=$section\" target=\"_blank\"><img src=\"graphics/view.gif\" border=\"0\" 
												title=\"" . $sas_lang['student_view'] . "\" alt=\"" . $sas_lang['student_view'] . "\"></a>";
								}

								
								print "</td><td height=\"18\">
								<a href=index.php?option=pagemanager&suboption=editpage&page=$page_list[0]&section=$section&site=$site>($page_list[4]) $page_list[1]</a> <span class=\"small_blue \">($section_list[0],$page_list[0])</span>$status</td></tr>";

							}
							else
							{
								// by JG link to module management
								$module_location = substr($page_list[2], 0, strpos($page_list[2], "/"));
								$query3 = "SELECT id FROM $table_modules WHERE location = '$module_location'";
								$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING); 
								if (mysqli_num_rows($result3) > 0)
								{
									$module_id = mysqli_result($result3, 0);
									print "<a href=index.php?option=modulemanager&module=$module_id>
												<img border=\"0\" src=\"graphics/module.gif\" alt=\"" . $sas_lang['modulemanager'] . "\" title=\"" . $sas_lang['modulemanager'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" ></a>";
								}
								else
								{
									print "<img border=\"0\" src=\"graphics/module.gif\" width=\"16\" height=\"16\" class=\"tooltip\" ></td>";
								}
								// by JG Preview-Button
								if ($site == "protected")
								{
									print "<td height=\"18\"><a href=\"../index.php?page=$page_list[0]&section=$section&site=protected\" target=\"_blank\"><img src=\"graphics/view.gif\" border=\"0\" title=\"" . $sas_lang['student_view'] . "\" alt=\"" . $sas_lang['student_view'] . "\"></a>";
								}
								else
								{
									unset ($_SESSION['site']);
									print "<td height=\"18\"><a href=\"../index.php?page=$page_list[0]&section=$section\" target=\"_blank\"><img src=\"graphics/view.gif\" border=\"0\" title=\"" . $sas_lang['student_view'] . "\" alt=\"" . $sas_lang['student_view'] . "\"></a>";
								}
								
								print "</td><td height=\"18\">
										<a href=index.php?option=pagemanager&suboption=editmodpage&page=$page_list[0]&section=$section_list[0]&site=$site>($page_list[4]) $page_list[1]</a> <span class=\"small_blue \">($section_list[0],$page_list[0])</span>$status</td></tr>";
							}
						} // end page list 
					} // end of cat list

				}
				print "	<tr>
						  <td colspan=\"11\" height=\"18\"></td>
						</tr>";
				print " <tr>
						  <td colspan=\"10\" height=\"18\"></td>
						  <td height=\"18\">
						  <img border=\"0\" src=\"graphics/add.gif\" width=\"16\" height=\"18\"></td>
						  <td height=\"18\"><a href=index.php?option=pagemanager&suboption=newpage&section=$section_list[0]&site=$site>" . $sas_lang['newpage'] . "</a><span></td>
						  <td colspan=\"1\" height=\"18\"></td>
						</tr>
						<tr>
						  <td colspan=\"11\" height=\"18\"></td>
						</tr>";

			}

		} // end of section security
	} // end of section list
}

if ((!IsSet ($section)) AND ($user_sections[0] == "")) // if no section is set view new section option
{ // if $user_sections[0] is empty user is allowed to create new section
	print "<tr><td height=\"18\" colspan=\"6\">&nbsp;</td></tr><tr>
			  <td height=\"18\" colspan=\"4\"></td>
			  <td height=\"18\"><img border=\"0\" src=\"graphics/add.gif\" width=\"16\" height=\"18\"></td>
			  <td height=\"18\"><a href=index.php?option=pagemanager&suboption=newsection&site=$site>" .$sas_lang['newsection'] . "<span></td>
			</tr>";

}

print "</table><br><br>";
if (mysqli_num_rows($result) < 1)
{
	print $sas_lang['nosections'] ;
}
include ("interface/footer.inc.php");
?>