<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.03  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
* sn_downloads_portal.php: last changed 10/01/2007 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$table_downloads = $dbprefix . "m_downloads";
$table_downloads_cat = $dbprefix . "m_downloads_cat";

$query3 = "SELECT d.id, d.filename, d.description, date_format(d.date, '%d-%m-%Y'), d.category AS Readable_Date FROM
			$table_downloads d LEFT JOIN $table_downloads_cat c ON d.category = c.id WHERE c.public = $public ORDER BY date DESC LIMIT 0,$items";

$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
$RecordCount = mysqli_num_rows($result3);

if ($RecordCount > 0)
{

	print "\n<table cellpadding=\"0\" cellspacing=\"2\">\n
			<tr><td colspan=\"3\"><span class=\"sas_module_subtitle\">" . $description . "</span></td></tr>\n
			<tr><td width=\"100\"><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_date']."</span></td>
			<td>&nbsp;</td>
			<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_description']."</span></td></tr>\n";
			
	while ($downloads_list = mysqli_fetch_array($result3))
	{	
		//get the downloads pagename from the downloads_cat  table
		$query4 = "SELECT title FROM $table_downloads_cat WHERE id = '$downloads_list[4]'";
		$result4 = mysqli_query($db,$query4) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query4 . '".',E_USER_WARNING);
		$RecordCount = mysqli_num_rows($result4);
		
		if ($RecordCount > 0)
		{
			$downloads_page_name = mysqli_result($result4, 0, 0);
		}
		
		//get page and section id's for the downloads page
		//first see if we can find a download page connected to a pagename
		$query5 = "SELECT id, section FROM $table_pages WHERE name = '$downloads_page_name' AND module = 'sn_downloads/download_pag.php' AND hidden != 'yes'";
		$result5 = mysqli_query($db,$query5) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query5 . '".',E_USER_WARNING);
		$RecordCount = mysqli_num_rows($result5);
		
		if ($RecordCount > 0)
		{
			$page = mysqli_result($result5, 0, 0);
			$section = mysqli_result($result5, 0, 1);
		}
		else
		{
			//get page and section id's for the downloads page
			$query5 = "SELECT id, section FROM $table_pages WHERE module = 'sn_downloads/download_cat.php' AND hidden != 'yes'";
			$result5 = mysqli_query($db,$query5) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query5 . '".',E_USER_WARNING);
			$RecordCount = mysqli_num_rows($result5);
			
			if ($RecordCount > 0)
			{
				$page = mysqli_result($result5, 0, 0);
				$section = mysqli_result($result5, 0, 1);
			}
		}
		
		if ($RecordCount > 0)
		{
			$descr = $downloads_list[1] ;		// filename
			if ($downloads_list[2] != "")	//description not empty
			{
				$descr .= "," ;
				$descr .= substr(strip_tags($downloads_list[2]),0,35) ;
			}
			$link = "index.php?page=$page&amp;section=$section&amp;dwnl_category=$downloads_list[4]";
			print "<tr><td valign=\"top\"><span class=\"sas_module_text\">$downloads_list[3]</span></td>
					<td>&nbsp;</td>
					<td><span class=\"sas_module_text\">$descr, </span><span class=\"sas_module_link\">
					<a href=\"$link\" target=\"$target\">".$sas_lang['portal_module_read_more']."</a></span></td>
					</tr>\n";
		}
	}
	print "</table>\n";
}
?>