<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
* sn_message_portal.php: last changed 28/05/2010 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$table_messages = $dbprefix . "m_message";
$table_messages_cat = $dbprefix."m_message_cat";


$query3 = "SELECT date_format(date, '$sas_config[dateformat]') AS Readable_Date, message, c.pagename, p.id, p.section FROM $table_messages m
			left join $table_messages_cat c ON m.message_id = c.id
			left join $table_pages p ON p.name = c.pagename 
			WHERE module = 'sn_message/view_message.php' AND p.hidden != 'yes' AND c.public = '$public' AND date <= current_date() ORDER BY m.date DESC LIMIT 0,$items";

$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
$RecordCount = mysqli_num_rows($result3);

	
	if ($RecordCount > 0)
	{
	
		print "\n<table cellpadding=\"0\" cellspacing=\"2\">\n
				<tr><td colspan=\"3\"><span class=\"sas_module_subtitle\">" . $description . "</span></td></tr>\n
				<tr><td width=\"100\"><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_date']."</span></td>
				<td>&nbsp;</td>
				<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_description']."</span></td></tr>\n";
				
		while ($message_list = mysqli_fetch_array($result3))
		{	
			$link = "index.php?page=$message_list[3]&amp;section=$message_list[4]";
			$descr = substr(strip_tags($message_list[1]),0,45) ;
	
			print "<tr><td valign=\"top\"><span class=\"sas_module_text\">$message_list[0]</span></td>
					<td>&nbsp;</td>
					<td><span class=\"sas_module_text\">$descr, </span><span class=\"sas_module_link\">
					<a href=\"$link\" target=\"$target\">".$sas_lang['portal_module_read_more']."</a></span></td>
					</tr>\n";
		}
		print "</table>\n";
	}

?>