<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.8.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
* sn_allbum_portal.php: last changed 13/03/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if ($website == "protected")
{
	$publ = 0;	// we are on the protected area
}
else
{
	$publ = 1 ;	//we are on the public site
}

$table_pictures = $dbprefix . "m_album_pictures";
$table_pictures_cat = $dbprefix . "m_album_cat";

//search albums 
$query3 = "SELECT date_format(c.last_update, '$sas_config[dateformat]') AS Readable_Date, c.welcome, c.pagename, c.id, c.overview_name 
			FROM $table_pictures_cat c
			LEFT JOIN $table_pictures p ON c.id = p.album_id 
			WHERE c.public = $publ AND p.id != '' AND c.publish = 1
			GROUP BY c.id
			ORDER BY c.last_update DESC LIMIT 0,$items";
			
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
$RecordCount = mysqli_num_rows($result3);

if ($RecordCount > 0)
{
	print "\n<table cellpadding=\"0\" cellspacing=\"2\">\n
			<tr><td colspan=\"3\"><span class=\"sas_module_subtitle\">" . $description . "</span></td></tr>\n
			<tr><td width=\"100\"><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_date']."</span></td>
			<td>&nbsp;</td>
			<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_title']."</span></td>
			<td>&nbsp;</td>
			<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_description']."</span></td></tr>\n";
			
	while ($album_list = mysqli_fetch_array($result3))
	{	
		$name = addslashes($album_list[2]) ;
		$query4 = "SELECT id, section FROM $table_pages WHERE (module = 'sn_allbum/view_pictures.php' OR module = 'sn_allbum/slideshow.php')
					AND name = '$name' LIMIT 1";
		$result4 = mysqli_query($db,$query4) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query4 . '".',E_USER_WARNING);
		$RecordCount = mysqli_num_rows($result4);
		if ($RecordCount > 0)
		{
			$page_id = mysqli_result($result4, 0, 'id') ;
			$section_id = mysqli_result($result4, 0, 'section') ;
			$link = "index.php?page=$page_id&amp;section=$section_id";
		}
		else
		{
			$name = addslashes($album_list[4]) ;
			$query4 = "SELECT id, section FROM $table_pages WHERE module = 'sn_allbum/overview.php' AND name = '$name' LIMIT 1";
			$result4 = mysqli_query($db,$query4) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query4 . '".',E_USER_WARNING);
			$RecordCount = mysqli_num_rows($result4);
			if ($RecordCount > 0)
			{
				$page_id = mysqli_result($result4, 0, 'id') ;
				$section_id = mysqli_result($result4, 0, 'section') ;
				$link = "index.php?page=$page_id&amp;section=$section_id&amp;modoption=list&amp;cat_id=$album_list[3]";
			}
			else
			{
				$query4 = "SELECT id, section FROM $table_pages WHERE module = 'sn_allbum/overview.php' LIMIT 1";
				$result4 = mysqli_query($db,$query4) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query4 . '".',E_USER_WARNING);
				$RecordCount = mysqli_num_rows($result4);
				if ($RecordCount > 0)
				{
					$page_id = mysqli_result($result4, 0, 'id') ;
					$section_id = mysqli_result($result4, 0, 'section') ;
					$link = "index.php?page=$page_id&amp;section=$section_id&amp;modoption=list&amp;cat_id=$album_list[3]";
				}
			}
		}
		
		$descr = substr(strip_tags($album_list[1]),0,45) ;
		
		print "<tr><td valign=\"top\"><span class=\"sas_module_text\">$album_list[0]</span></td>
				<td>&nbsp;</td>
				<td><span class=\"sas_module_text\">$album_list[2]</span></td>
				<td>&nbsp;</td>
				<td><span class=\"sas_module_text\">$descr </span><span class=\"sas_module_link\">
				<a href=\"$link\" target=\"$target\">".$sas_lang['portal_module_read_more']."</a></span></td>
				</tr>\n";
	}
	print "</table>\n";
}
?>