<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Sitemap : 
* view_sitemap.php: last changed 20/04/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
//colors used for the sitemap "buttons"
$color_scheme = "#c3eafb,#b5d9ea,#e2f4fd,#97bdcf,#cee3ac,#b8da83,#94b75f,#e7f1d7,#fff7aa,#e3ca4b,#fffce5,#d1b62c";
$colors = explode(",", $color_scheme);
?>

<style type="text/css">
/* ------------------------------------------------------------
	sitemap layout used from http://jsrun.it/Tenderfeel/9Ysf
------------------------------------------------------------ */
ul.sitemap,
ul.sitemap ul {
  margin:0;
  padding:0;
  background: url('starnet/modules/sn_sitemap/images/left.png') repeat-y left center;
  margin:0 0 1em 30px;
}

ul.sitemap li {
  margin:0;
  list-style:none outside;
}

ul.sitemap li {
  background: url('starnet/modules/sn_sitemap/images/center.png') no-repeat left top;
  margin:0.5em 0;
  padding:0 0 0 30px;
}
ul.sitemap li.last {
  background: <?php echo $sas_config['sitemap_background_color']; ?> url('starnet/modules/sn_sitemap/images/corner_last.png') no-repeat left top;
  width: 400px;
}

ul.sitemap li.last-child {
  background: <?php echo $sas_config['sitemap_background_color']; ?> url('starnet/modules/sn_sitemap/images/corner.png') no-repeat left center;
}
ul.sitemap li#home {
  padding:0;
  margin:0;
}
ul.sitemap a,
ul.sitemap a:visited {
  margin: 0;
  padding: 0 1em;
  display: inline-block;
  font-weight: bold;
  text-align: center;
  line-height: 26px;
  color: black;
  background: <?php echo $colors[0]; ?> url('starnet/modules/sn_sitemap/images/white-highlight.png') top left repeat-x;
  border: 2px solid;
  border-color:<?php echo $colors[1]; ?>;
  border-radius: 5px;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  box-shadow: rgba(0,0,0,0.5) 2px 2px 2px;
  -moz-box-shadow: rgba(0,0,0,0.5) 2px 2px 2px;
  -webkit-box-shadow: rgba(0,0,0,0.5) 2px 2px 2px;
  text-decoration:none;
}

ul.sitemap li a:hover {
	background-color: <?php echo $colors[2]; ?>;
	border-color: <?php echo $colors[3]; ?>;
}

* html ul.sitemap a,
* html ul.sitemap a:visited {
  background-image:none;
  font-weight: bold;
  font-size:100%;
}

ul.sitemap li li a,
ul.sitemap li li a:visited {
background-color: <?php echo $colors[4]; ?>;
border-color: <?php echo $colors[5]; ?>;
color: #000000;
}
ul.sitemap li li a:hover {
	border-color: <?php echo $colors[6]; ?>;
	background-color: <?php echo $colors[7]; ?>;
}
ul.sitemap li li li a,
ul.sitemap li li li a:visited {
background-color: #fff7aa;
border-color: #e3ca4b;
color:#000000;
}

ul.sitemap a:active,
ul.sitemap a:hover {
background-color: <?php echo $colors[8]; ?>;
border-color: <?php echo $colors[9]; ?>;
color: #000000;
}

ul.sitemap li li li a:hover {
	background-color: <?php echo $colors[10]; ?>;
	border-color: <?php echo $colors[11]; ?>;
}
</style>

<?php
$query = "SELECT id, name, frontpage, invisible FROM $table_sections 
			WHERE parent = '' AND invisible != 'yes' ORDER BY sort";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 

load_language($cmsdir . '/', 'sn_sitemap'); //load language file


if (!empty ($sas_config['sitemap_welcome_text']))
{
	print "<span class=\"sas_module_title\">" . $sas_config['sitemap_welcome_text'] . "</span><br/>\n";
}

$query = "SELECT id, name, frontpage, invisible FROM $table_sections 
			WHERE parent = '' AND invisible != 'yes' ORDER BY sort";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
$count = mysqli_num_rows($result) ;

print "<ul class=\"sitemap\">\n
	<li id=\"home\"><a href=\"index.php\">Homepagina</a></li>\n";

$k = 0;

while ($section_list = mysqli_fetch_array($result))
{
	$k++;
	if($k == $count)	//determine the last entry
	{
		$class = 'last';
	}
	else
	{
		$class = '';
	}
	print "<li class=\"$class\"><a href=\"".$site_url."index.php?section=$section_list[0]\">$section_list[1] </a>\n";
	
	//get the pages without category and the categories in an array.
	$page_cat = page_cat_list($section_list['id']) ;
	
	$count1 = count($page_cat['id']);
	if(count($page_cat) > 0)	//does the array has any pages?
	{
		//sort the multi row array
		sortArray($page_cat, sort, SORT_ASC);
		print "\t<ul>\n";
		$i = 0 ;
		foreach ($page_cat['sort'] as $value)
		{
			if($i+1 == $count1)	//determine the last entry
			{
				$class = 'last';
			}
			else
			{
				$class = '';
			}
			$page_title = $page_cat['name'][$i] ;
			$id = $page_cat['id'][$i] ;
			$module = $page_cat['module'][$i] ;
			if($id == 0)	//page has category?
			{
				$category = addslashes($page_title);
				//get the first page id for the category which we are processing.
				$query3 = "SELECT id FROM $table_pages WHERE category = '$category' and section = '". $section_list['id'] . "' AND invisible != 'yes' $where_clause ORDER BY sort LIMIT 1";
				$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
				$p_id = mysqli_result($result3, 0, 'id');
				
				print "\t<li class=\"$class\"><a href=\"".$site_url."index.php?section=$section_list[0]&page=$p_id\">$page_title</a>\n";
				//get the sub-pages for the category
				$query2 = "SELECT id, name, module FROM $table_pages WHERE category = '$category' and section = '". $section_list['id'] . "' AND invisible != 'yes' $where_clause ORDER BY sort";
				$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
				$count2 = mysqli_num_rows($result2) ;
				
				if($count2 > 0) 
				{
					print "\t\t<ul>\n";
					$j = 1 ;
					while ($page_menu = mysqli_fetch_array($result2)) 
					{
						if($j == $count2)	//determine the last entry
						{
							$class = 'last';
						}
						else
						{
							$class = '';
						}
						print "\t\t<li class=\"$class\"><a href=\"".$site_url."index.php?section=$section_list[0]&page=$page_menu[0]\">$page_menu[1]</a></li>\n";
						$j++;
					}
					print "\t\t</ul>\n";
				}
				print "</li>";
			}
			else			//pages without category
			{
				print "\t<li class=\"$class\"><a href=\"".$site_url."index.php?section=$section_list[0]&page=$id\">$page_title</a></li>\n";
			}
			$i++;
		}
		print "\t</ul>\n";
	}
	
	print "</li>\n";
}
print "</ul>\n";

?>