<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.03  
* Copyright (C) 2007-2012: Fred Stuurman (fc.stuurman@gmail.com)
* class pages module : 
*  teacher.php: last changed 04/03/2012  by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['modoption']))
{
	$modoption = $_GET['modoption'];
	$modoption = htmlspecialchars(strip_tags($modoption)); //remove html tags
}
else
{
	$modoption = "list_pupils";	//default choice
}

$height = $sas_config['htmlarea_editor_rows'] * 20 + 135;

print "<script type=\"text/javascript\">
function NewWindow (link) 
{
var win_left = (screen.width - 780) / 2;
var win_top = (screen.height - $height) / 2;
  window1 = window.open(link, \"Pupileditor\", \"width=780,height=$height,resizable=yes,scrollbars=no\");
  window1.moveTo(win_left,win_top)
  window1.focus();
}

function checkinput ( form )
{
   if (form.fullname.value == '') 
    {
    alert( \"".$sas_lang['input_error']."\" );
    form.fullname.focus();
    return false ;
    }
    if (form.username.value == '') 
    {
    alert( \"".$sas_lang['input_error']."\" );
    form.username.focus();
    return false ;
    }
    if (form.password.value == '') 
    {
    alert( \"".$sas_lang['input_error']."\" );
    form.password.focus();
    return false ;
    }
    if (form.password.value.length < 4) 
	{
    alert( \"".$sas_lang['password_length_error']."\" );
    form.password.focus();
    return false ;
    }
	if ((document.form.send_email[0].checked==true) && (document.form.check[0].checked==true))
	{
	alert(\"".$sas_lang['student_project_warning']."\");
	return false ;
	}
  return true ;
}
</script>";		

$num_pages = $sas_config['number_pupilpages']; //get the max number of pupilpages
$d = date("Y-m-d"); //todays date

if ((IsSet ($userid)) AND (($_SESSION['user_type'] == 2) or ($_SESSION['user_type'] == 22)))	//teachers only
{

	switch ($modoption) // start of switch
	{
		case list_pupils :
		
			include($cmsdir."/modules/sn_studentpages/list_pupils.php");
			
		break;
		
		case create_page :
		
			if (IsSet ($_GET['create']))
			{
				$create = intval($_GET['create']);
			}

			$query2 = "SELECT pcheck, send_email FROM $table_studentpages WHERE dir_number = '".$student_id."'"; //get number of pages
			$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query2 . '".', E_USER_WARNING);
			$num_rows = mysqli_num_rows($result2);
			
			if ($option != "project")
			{
				$query = "SELECT type FROM $table_users WHERE id = '$student_id'"; //get type of user pupil or teacher
				$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
				$type = mysqli_result($result, 0);
				
				if (($type == "2") OR ($type == "22")) //user is teacher
				{
					$send = 0;
					$check = 2;
				}
				else //user is pupil
				{
					if ($num_rows > 0) //there are previous pages
					{
						$check = mysqli_result($result2, 0, 'pcheck'); //get the previous pcheck and send_email values
						$send = mysqli_result($result2, 0, 'send_email');
					}
					else
					{
						$check = 1; //use default 1
						$send = 0;
					}
				}
			}
			if ($option == "project")
			{
				mysqli_query($db,"INSERT INTO $table_studentpages VALUES ('', '', '', '$check', '0', '$send', '[$create]', '$student_id', '$d', '$create' , 0)");
			}
			elseif ($num_rows < $num_pages) //not more than the maximum defined pages.
			{
				mysqli_query($db,"INSERT INTO $table_studentpages VALUES ('', '', '', '$check', '0', '$send', '[$create]', '$student_id', '$d' , '$create' , 0)");
		
				$custompath = $serverpath . "/studentpages/$student_id";
				if (!is_dir($custompath))
				{
					$perm = $sas_config['file_permissions'];
					mkdir($custompath, 0755); //create directory 
					chmod($custompath, octdec($perm)); //chmod it with permissions stored in configuration table.
				}
			}
			print "<script language='javascript'>window.location = 'index.php?section=$section&page=$page&modoption=list_pupils&option=$option&new_class=$new_class'</script>";
		
		break;
	
		case delete_page :
		
			$query2 = "SELECT dir_number FROM $table_studentpages WHERE studentid = '$student_id'"; //get the dir_number
			$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query2 . '".', E_USER_WARNING);
			$dir_number = mysqli_result($result2, 0);
			unset ($query2);
			unset ($result2);
			mysqli_query($db,"DELETE FROM $table_studentpages WHERE studentid = '$student_id'"); //delete page from table
			$query2 = "SELECT * FROM $table_studentpages WHERE dir_number = '$dir_number'"; //are there any pages left
			$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query . '".', E_USER_WARNING);
			$num_rows = mysqli_num_rows($result2);
		
			if ($num_rows == 0) // no pages left delete directory
			{
				$custompath = $serverpath . "/studentpages/$dir_number";
				if (is_dir($custompath))
				{
					if (is_empty_folder($custompath) === TRUE)
					{
						rmdir($custompath); //delete the directory
					}
					else
					{
						print "<script language=\"Javascript\">
							   <!--
							   alert (\"" . $sas_lang['directory'] . " studentpages/" . $dir_number . " " . $sas_lang['directory_not_empty'] . "\");
							   //-->
							   </script>";
					}
				}
			}
			print "<script language='javascript'>window.location = 'index.php?section=$section&page=$page&modoption=list_pupils&option=$option&new_class=$new_class'</script>";
			
		break;
		
		case add_student :
		
			$query2 = "SELECT id, name FROM $table_classes WHERE project = 0 ORDER BY name"; //get the classes for dropdown menu
			$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query . '".', E_USER_WARNING);
			print "<span class=\"sas_module_subtitle\">". $sas_lang['newstudent'] . ":</span><p>\n";
			print "<form method=\"post\" name=\"form\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=save_student&amp;student_id=new&amp;new_class=$new_class\"
					onsubmit=\"return checkinput(this);\">";


			print "<table class=\"sas_module_table\"><tr><td align=\"right\" width=\"35%\"><span class=\"sas_module_lbl1\">" . $sas_lang['class'] . " (*):</span></td>";
			print "<td><select name=\"class1\">";
			//list the classes in a dropdown
				while ($class_list = mysqli_fetch_array($result2))
				{
					$class_list[1] = stripslashes($class_list[1]);
					if ($class_list[0] == $new_class)
					{
						print "<option selected value=\"$class_list[0]\">$class_list[1]</option>\n";
					}
					else
					{
						print "<option value=\"$class_list[0]\">$class_list[1]</option>\n";
					}
				}
			print "</select></td></tr>\n";
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr>
					<tr><td align=\"right\" width=\"35%\"><span class=\"sas_module_lbl1\">" . $sas_lang['fullname'] . " (*):</span></td>
					<td><input type=\"text\" size=40 class=\"sas_module_input\" tabindex=\"1\" name=\"fullname\"></td></tr>\n";
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr><tr><td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['username'] . " (*):</span></td>
					<td><input type=\"text\" size=20 class=\"sas_module_input\" tabindex=\"2\" name=\"username\"></td></tr>\n";
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr><tr><td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['password'] . " (*):</span></td>
					<td><input type=\"text\" size=20 class=\"sas_module_input\" tabindex=\"3\" name=\"password\"></td></tr>\n";
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr><tr><td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['email'] . ":</span></td>
					<td><input type=\"text\" size=50 class=\"sas_module_input\" tabindex=\"4\" name=\"email\"></td></tr>\n";
			print "<tr><td colspan=\"2\"><b>" . $sas_lang['change_password_at_next_logon'] . ":</b>&nbsp;
			   <input type=\"checkbox\" value=\"1\" name=\"initial\" checked></td></tr>";
			print "<tr><td colspan=\"9\"><br><b>" . $sas_lang['student_projects'] . ":</td></tr>\n";

			$query = "SELECT id, name FROM $table_classes WHERE project = 1 ORDER BY name";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			
			print "<tr><td colspan=\"2\"><table><tr>";
			$i = 0;
			$j = 0;
			while ($project_list = mysqli_fetch_array($result))
			{
				$project_name = stripslashes($project_list[1]);
				
				print "<td width=\"25%\"><span class=\"sas_module_lbl1\"><b>$project_name</b></span></td>
						<td><input type=\"checkbox\" value=\"$project_list[0]\" name=\"project[$j]\"></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
				if ($i == 2)
				{
					print "</tr><tr>";
					$i = 0;
				}
				else
				{
					$i++;
				}
				$j++;
			}
			print "</table></td></tr><tr><td colspan=\"2\" height=\"10\"></td></tr><tr><td colspan=\"2\">
					<table><tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_page_check'] . " </span></td>";
			print "<td>&nbsp;&nbsp;&nbsp;" . $sas_lang['yes'] . "</td>";
			print "<td><input type=\"radio\" value=\"1\" name=\"check\"></td>";
			print "<td>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</td>";
			print "<td><input type=\"radio\" name=\"check\" value=\"0\" checked></td></tr>\n";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_page_email'] . " </span></td>";
			print "<td>&nbsp;&nbsp;&nbsp;" . $sas_lang['yes'] . "</td>";
			print "<td><input type=\"radio\" value=\"1\" name=\"send_email\"></td>";
			print "<td>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</td>";
			print "<td><input type=\"radio\" name=\"send_email\" value=\"0\" checked></td></tr></table></td></tr>\n";
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr>
					<tr><td>&nbsp;</td><td><input type=\"button\" value=\"&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" 
					onClick=\"javascript:parent.location='index.php?section=$section&page=$page&new_class=$new_class';\" class=\"backbutton\">";
			print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;" . $sas_lang['save'] . "\" name=\"savebutton\" class=\"savebutton\">";
			print "</form></td></tr></table>\n";
			
		break;
	
		case approve_page :
		
			mysqli_query($db,"UPDATE $table_studentpages SET 
						 content = newcontent,
						 newcontent = '' 
						 WHERE studentid='$student_id' AND newcontent <> ''");
			print "<script language='javascript'>window.location = 'index.php?section=$section&page=$page&modoption=list_pupils&option=$option&new_class=$new_class'</script>";
		
		break;
	
		case save_student :
			
			if (IsSet ($_REQUEST['fullname']))
			{
				$fullname = $_REQUEST['fullname'];
				$fullname = sanitize($fullname, 60, 'S'); //remove html tags
			}
			if (IsSet ($_POST['username']))
			{
				$username = $_POST['username'];
				$username = sanitize($username, 20, 'A'); //remove html tags
			}
			if (IsSet ($_POST['password']))
			{
				$password = $_POST['password'];
				$password = sanitize($password, 10, 'S'); //remove html tags
			}
			if (IsSet ($_POST['project']))
			{
				$project = $_POST['project'];
			}
			if (IsSet ($_POST['class1']))
			{
				$class1 = intval($_POST['class1']);
			}

			if (IsSet ($_POST['email']))
			{
				$email = $_POST['email'];
				$email = htmlspecialchars(strip_tags($email)); //remove html tags
			}
			if (IsSet ($_POST['check']))
			{
				$check = intval($_POST['check']);
			}
			if (IsSet ($_POST['type']))
			{
				$type = intval($_POST['type']);
			}
			if (count($project) == 0)
			{
				$comma_separated_project = "";
			}
			else
			{
				$comma_separated_project = implode(",", $project);
				$comma_separated_project = sanitize($comma_separated_project, 25, 'S');
			}
			if (($sas_config[use_encryption] == 1) AND ($password != "") AND ($password != "********")) //passwords are encrypted and not blank
			{
				$password = md5($password);
			}
			
			$initial = 0 ; //default
			if (IsSet ($_POST['initial']))
			{
				$initial = intval($_POST['initial']);
			}
			
			if ($student_id == "new")
			{
				$query = mysqli_query($db,"SELECT username FROM $table_users WHERE username = '$username'");
				$results = mysqli_num_rows($query);
			
				if ($results != '0')
				{
					echo "<script>alert ('$sas_lang[student_name_exists]');
						  history.go(-1);
						  </script>";
				}
				else
				{
					mysqli_query($db,"INSERT INTO $table_users (username, password, name, class, type, email, access, project, initial) 
								VALUES ('$username', '$password',  '$fullname', '$class1', '1', '$email', '000000000000,000000000000', '$comma_separated_project', '$initial')");
					//create 1 pupilpage		 
					$result = mysqli_query($db,"SELECT id FROM $table_users WHERE name = '$fullname'"); //get the id just inserted
					$user_id = mysqli_result($result, 0);
					mysqli_query($db,"INSERT INTO $table_studentpages VALUES ('', '', '', '$check', '$send_email', '0', '[1]', $user_id, '$d', 1, 0)");
					$custompath = $serverpath . "/studentpages/$user_id";
					if (!is_dir($custompath))
					{
						$perm = $sas_config['file_permissions'];
						mkdir($custompath, 0755);
						chmod($custompath, octdec($perm)); //chmod it with permissions stored in configuration table.
					}
				}
			}
			else
			{
				$query = mysqli_query($db,"SELECT username FROM $table_users WHERE username = '$username' AND id != '$student_id'");
				$results = mysqli_num_rows($query);
				if ($results != '0') //an other user with this username exists, give error
				{
					print "<script language=\"Javascript\">
						   <!--
						   alert (\"" . $sas_lang['student_name_exists'] . "\");
						   history.go(-1);	
						   //-->
						   </script>"; //return to the user edit window.
				}
				else
				{
					mysqli_query($db,"UPDATE $table_users SET name='$fullname', 
														   username='$username',  
														   email='$email', 
														   class='$class1', 
														   type='$type',
														   project = '$comma_separated_project',
														   initial = '$initial'
														   WHERE id='$student_id'");
															   
					if (($password != "") AND ($password != "********")) //only save password when not empty.
					{
						mysqli_query($db,"UPDATE $table_users SET password = '$password', invalid_logins = 0 WHERE id = '$student_id'");
					}
					mysqli_query($db,"UPDATE $table_studentpages SET pcheck = '$check',
															  send_email = '$send_email' 
															  WHERE dir_number = '$student_id'");
				}
			}
				
			print "<script language='javascript'>window.location = 'index.php?section=$section&page=$page&modoption=list_pupils&new_class=$class1'</script>";	
			
		break;
		
		case delete_student:
			
			mysqli_query($db,"DELETE FROM $table_users WHERE id = '".$student_id."'"); //delete the user
			mysqli_query($db,"DELETE FROM $table_studentpages WHERE dir_number = '".$student_id."'"); //delete the studentpage
		
			$student_path = $sas_config['serverpath'] . $sas_config['user_path'] . "/studentpages/" . $student_id . "/";
		
			if (file_exists($student_path)) //first check if the student directory exists
			{
				delete_files($student_id); //delete all the file in the pupils directory
				rmdir($student_path); //delete the pupils root directory
			}
			//return to the students class view
			print "<script language='javascript'>
					  window.location = 'index.php?section=$section&page=$page&modoption=list_pupils&new_class=$new_class'
					  </script>";
		
		break;
		
		case edit_student:
		
			$query1 = "SELECT id, name, username, password, email, class, type, project FROM $table_users WHERE id = '".$student_id."'";
			$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
			$fullname = mysqli_result($result1, 0, 'name');
			$username = mysqli_result($result1, 0, 'username');
			$class = mysqli_result($result1, 0, 'class');
			$project = mysqli_result($result1, 0, 'project');
			$project_array = explode(",", $project); //create an array

			if ($sas_config[use_encryption] == 1) //passwords are encrypted
			{
				$password = "********";
			}
			else
			{
				$password = mysqli_result($result1, 0, 'password');
			}
			$email = mysqli_result($result1, 0, 'email');
			$type = mysqli_result($result1, 0, 'type');
			
			$query3 = "SELECT pcheck, send_email FROM $table_studentpages WHERE dir_number = '".$student_id."'"; // get the check and email bit
			$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING); 
			$RecordCount = mysqli_num_rows($result3);
			if ($RecordCount > 0)
			{
				$send_email = mysqli_result($result3, 0, 'send_email');
				$check = mysqli_result($result3, 0, 'pcheck');
			}
			
			$query2 = "SELECT id, name FROM $table_classes WHERE project = 0 ORDER BY name"; //get the classes for dropdown menu
			$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query . '".', E_USER_WARNING);
			print "<span class=\"sas_module_subtitle\">". $sas_lang['newstudent'] . ":</span><p>\n";
			print "<form method=\"post\" name=\"form\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=save_student&amp;student_id=$student_id&amp;new_class=$new_class\"
					onsubmit=\"return checkinput(this);\">";


			print "<table class=\"sas_module\">
				<tr><td align=\"right\" width=\"35%\"><span class=\"sas_module_lbl1\">" . $sas_lang['class'] . " (*):</span></td>";
			print "<td><select name=\"class1\">";
			//list the classes in a dropdown
				while ($class_list = mysqli_fetch_array($result2))
				{
					$class_list[1] = stripslashes($class_list[1]);
					
					if ($class_list[0] == $class)
					{
						print "<option selected value=\"$class_list[0]\">$class_list[1]</option>\n";
					}
					else
					{
						print "<option value=\"$class_list[0]\">$class_list[1]</option>\n";
					}
				}
			print "</select></td></tr>\n";
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr>
					<tr><td align=\"right\" width=\"35%\"><span class=\"sas_module_lbl1\">" . $sas_lang['fullname'] . " (*):</span></td>
					<td><input type=\"text\" size=\"40\" class=\"sas_module_input\" tabindex=\"1\" name=\"fullname\" value=\"$fullname\"></td></tr>\n";
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr>
					<tr><td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['username'] . " (*):</span></td>
					<td><input type=\"text\" size=\"20\" class=\"sas_module_input\" tabindex=\"2\" name=\"username\" value=\"$username\"></td></tr>\n";
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr><tr><td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['password'] . " (*):</span></td>
					<td><input type=\"text\" size=\"20\" class=\"sas_module_input\" tabindex=\"3\" name=\"password\" value=\"$password\"></td></tr>\n";
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr><tr><td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['email'] . ":</span></td>
					<td><input type=\"text\" size=\"50\" class=\"sas_module_input\" tabindex=\"4\" name=\"email\" value=\"$email\"></td></tr>\n";
			print "<tr><td colspan=\"2\"><span class=\"sas_module_lbl1\">" . $sas_lang['change_password_at_next_logon'] . ":&nbsp;
			   <input type=\"checkbox\" value=\"1\" name=\"initial\" checked></td></tr>";
			print "<tr><td colspan=\"9\"><br><b>" . $sas_lang['student_projects'] . ":</td></tr>\n";

			$query = "SELECT id, name FROM $table_classes WHERE project = 1 ORDER BY name";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			
			print "<tr><td colspan=\"2\"><table><tr>";
			$i = 0;
			$j = 0;
			while ($project_list = mysqli_fetch_array($result))
			{
				$project_name = stripslashes($project_list[1]);
			
				if (in_array($project_list[0], $project_array))
				{
					print "<td width=\"25%\"><span class=\"sas_module_lbl1\"><b>$project_name</b></span></td>
							<td><input type=\"checkbox\" value=\"$project_list[0]\" name=\"project[$j]\" checked></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
				}
				else
				{
					print "<td width=\"25%\"><span class=\"sas_module_lbl1\"><b>$project_name</b></span></td>
							<td><input type=\"checkbox\" value=\"$project_list[0]\" name=\"project[$j]\"></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
				}
				if ($i == 2)
				{
					print "</tr><tr>";
					$i = 0;
				}
				else
				{
					$i++;
				}
				$j++;
			}
			
			print "</table></td></tr><tr><td colspan=\"2\" height=\"10\"></td></tr>";
			
			if(($type == 1) OR ($type == 21))
			{
				print "<tr><td colspan=\"2\">
						<table><tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_page_check'] . " </span></td>";
				print "<td>&nbsp;&nbsp;&nbsp;" . $sas_lang['yes'] . "</td>";
				if ($check == "1")
				{
					print "<td><input type=\"radio\" value=\"1\" name=\"check\" checked></td>";
					print "<td>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</td>";
					print "<td><input type=\"radio\" name=\"check\" value=\"0\"></td></tr>\n";
				}
				else
				{
					print "<td><input type=\"radio\" value=\"1\" name=\"check\"></td>";
					print "<td>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</td>";
					print "<td><input type=\"radio\" name=\"check\" value=\"0\" checked></td></tr>\n";
				}
				
				print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_page_email'] . " </span></td>";
				print "<td>&nbsp;&nbsp;&nbsp;" . $sas_lang['yes'] . "</td>";
				
				if ($send_email == "1")
				{
					print "<td><input type=\"radio\" value=\"1\" name=\"send_email\" checked></td>";
					print "<td>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</td>";
					print "<td><input type=\"radio\" name=\"send_email\" value=\"0\"></td>";
				}
				else
				{
					print "<td><input type=\"radio\" value=\"1\" name=\"send_email\"></td>";
					print "<td>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</td>";
					print "<td><input type=\"radio\" name=\"send_email\" value=\"0\" checked></td>";
				}
				
				print "</tr></table></td></tr>\n";
			}
			print "<tr><td colspan=\"2\" height=\"10\"></td></tr>
					<tr><td>&nbsp;</td><td><input type=\"button\" value=\"&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" 
					onClick=\"javascript:parent.location='index.php?section=$section&page=$page&new_class=$new_class';\" class=\"backbutton\">";
			print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;" . $sas_lang['save'] . "\" name=\"savebutton\" class=\"savebutton\">";
			print "<input type=\"hidden\" name=\"type\" value=\"$type\"></form></td></tr></table>\n";
		
		break;
		
		case view_page :
		
			$query = "SELECT title, newcontent, dir_number, content FROM $table_studentpages WHERE studentid = '".$student_id."'";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysqli_num_rows($result);
			if ($RecordCount > 0)
			{
				$title = mysqli_result($result, 0, 'title');
				$content = mysqli_result($result, 0, 'newcontent');
				$dir_number = mysqli_result($result, 0, 'dir_number');
				
				if ($content == "") //newcontent is empty we need content.
				{
					$content = mysqli_result($result, 0, 'content');
				}
							unset ($query);
				unset ($result);
				
				if ($option == "project")
				{
					$query1 = "SELECT name FROM $table_classes WHERE dir_number = '".$dir_number."'";
					$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
					$fullname = mysqli_result($result1, 0, 'name');
					$header =  $sas_lang['student_project'] .":" ;
				}
				else
				{
					$header = $sas_lang['student_header'];
				}
		
				$content = str_replace("../", "", $content);
				print "<table class=\"sas_module_table\">\n";
				print "<tr><td><a href=\"index.php?section=$section&amp;page=$page&amp;new_class=$new_class&amp;option=$option\" class=\"sas_module_link\"><< " . $sas_lang['goback'] . " >></a></td></tr>\n";
				print "<tr><td>&nbsp;</td></tr>";
				print "<tr><td><span class=\"sas_module_title\">". $header . " <b>$fullname</b>&nbsp;&nbsp;</span><br />" . 
						"<span class=\"sas_module_title\">" . $sas_lang['title'] . ": $title</span></td></tr>\n";
				print "<tr><td>" .$content. "</td></tr>\n" ;
				print "<tr><td>&nbsp;</td></tr>";
				print "<tr><td><a href=\"index.php?section=$section&amp;page=$page&amp;new_class=$new_class&amp;option=$option\" class=\"sas_modules_link\"><< " . $sas_lang['goback'] . " >></a></td></tr>\n";
				print "</table>\n";
			}
			
		break;
	}
}
?>